/*  SciGraphica - Scientific graphics and data manipulation
 *  Copyright (C) 2001 Adrian E. Feiguin <feiguin@ifir.edu.ar>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __SG_TYPES_H__
#define __SG_TYPES_H__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

enum /* old Gtk-1 types */
{
  _GTK_TYPE_INVALID,
  _GTK_TYPE_NONE,
                                                                                
  /* flat types */
  _GTK_TYPE_CHAR,
  _GTK_TYPE_UCHAR,
  _GTK_TYPE_BOOL,
  _GTK_TYPE_INT,
  _GTK_TYPE_UINT,
  _GTK_TYPE_LONG,
  _GTK_TYPE_ULONG,
  _GTK_TYPE_FLOAT,
  _GTK_TYPE_DOUBLE,
  _GTK_TYPE_STRING,
  _GTK_TYPE_ENUM,
  _GTK_TYPE_FLAGS,
  _GTK_TYPE_BOXED,
  _GTK_TYPE_POINTER,
                                                                                
  /* structured types */
  _GTK_TYPE_SIGNAL,
  _GTK_TYPE_ARGS,
  _GTK_TYPE_CALLBACK,
  _GTK_TYPE_C_CALLBACK,
  _GTK_TYPE_FOREIGN,
                                                                                
  /* base type node of the object system */
  _GTK_TYPE_OBJECT
};

static gint _gtk_fundamental_type[] = {
  GTK_TYPE_INVALID,
  GTK_TYPE_NONE,
  GTK_TYPE_CHAR,
  GTK_TYPE_UCHAR,
  GTK_TYPE_BOOL,
  GTK_TYPE_INT,
  GTK_TYPE_UINT,
  GTK_TYPE_LONG,
  GTK_TYPE_ULONG,
  GTK_TYPE_FLOAT,
  GTK_TYPE_DOUBLE,
  GTK_TYPE_STRING,
  GTK_TYPE_ENUM,
  GTK_TYPE_FLAGS,
  GTK_TYPE_BOXED,
  GTK_TYPE_POINTER,
  0,
  0,
  0,
  0,
  0,
  G_TYPE_OBJECT
};

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __SG_TYPES_H__ */
